## chkservice 0.1

=== CMakeLists.txt ===
project(chkservice)

cmake_minimum_required(VERSION 2.8)

set(CMAKE_CXX_STANDARD 11)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

if ($ENV{DEBUG})
  message(STATUS "DEBUG mode enabled")
  set (CMAKE_CXX_FLAGS "-g -Wall")
else()
  message(STATUS "DEBUG mode disabled")
  set (CMAKE_CXX_FLAGS "-O2")
endif()

if ($ENV{TRAVIS})
  message(STATUS "Travis-CI build.")
else()
  message(STATUS "Local build")
endif()

include_directories("${PROJECT_SOURCE_DIR}/include")

find_package(PkgConfig REQUIRED)

pkg_check_modules(SYSTEMD libsystemd REQUIRED)

include_directories(${SYSTEMD_INCLUDE_DIRS})
set(LIBS ${LIBS} ${SYSTEMD_LIBRARIES})

pkg_check_modules(NCURSES ncurses REQUIRED)

include_directories(${NCURSES_INCLUDE_DIRS})
set(LIBS ${LIBS} ${NCURSES_LIBRARIES})

add_subdirectory(${PROJECT_SOURCE_DIR}/src)

if ($ENV{DEBUG})
  message(STATUS "Build testing support")
  add_subdirectory(${PROJECT_SOURCE_DIR}/tests)
endif()

SET(MAJOR_VERSION 0)
SET(MINOR_VERSION 1)
SET(PATCH_VERSION 0)

IF(EXISTS "${CMAKE_ROOT}/Modules/CPack.cmake")
INCLUDE(InstallRequiredSystemLibraries)

SET(CPACK_SET_DESTDIR "on")
SET(CPACK_PACKAGING_INSTALL_PREFIX "/tmp")
SET(CPACK_GENERATOR "DEB")

SET(CPACK_PACKAGE_DESCRIPTION_SUMMARY "Ncurses based gui for systemd")
SET(CPACK_PACKAGE_VENDOR "Svetlana Linuxenko")
SET(CPACK_PACKAGE_CONTACT "sveta@linuxenko.pro")
SET(CPACK_PACKAGE_VERSION_MAJOR "${MAJOR_VERSION}")
SET(CPACK_PACKAGE_VERSION_MINOR "${MINOR_VERSION}")
SET(CPACK_PACKAGE_VERSION_PATCH "${PATCH_VERSION}")
SET(CPACK_PACKAGE_FILE_NAME "${CMAKE_PROJECT_NAME}_${MAJOR_VERSION}.${MINOR_VERSION}.${CPACK_PACKAGE_VERSION_PATCH}")
SET(CPACK_SOURCE_PACKAGE_FILE_NAME "${CMAKE_PROJECT_NAME}_${MAJOR_VERSION}.${MINOR_VERSION}.${CPACK_PACKAGE_VERSION_PATCH}")

SET(CPACK_DEBIAN_PACKAGE_DEPENDS "libncurses5 (>=5), libsystemd0 (>= 222)")

SET(CPACK_DEBIAN_PACKAGE_PRIORITY "optional")
SET(CPACK_DEBIAN_PACKAGE_SECTION "utils")
SET(CPACK_DEBIAN_ARCHITECTURE ${CMAKE_SYSTEM_PROCESSOR})

SET(CPACK_COMPONENTS_ALL Libraries ApplicationData)
INCLUDE(CPack)

ENDIF(EXISTS "${CMAKE_ROOT}/Modules/CPack.cmake")

=== src/CMakeLists.txt ===
add_library(CHKSYSTEMD chk-systemd.cpp chk-systemd-utils.cpp)
target_link_libraries(CHKSYSTEMD ${LIBS})

add_library(CHKCTL chk-ctl.cpp)
target_link_libraries(CHKCTL ${LIBS} CHKSYSTEMD)

add_library(CHKUI chk-wmain.cpp chk-wutils.cpp)
target_link_libraries(CHKUI ${LIBS} CHKSYSTEMD CHKCTL)

add_executable(chkservice chkservice.cpp)
target_link_libraries(chkservice ${LIBS} CHKSYSTEMD CHKCTL CHKUI)

install(TARGETS chkservice RUNTIME DESTINATION sbin)

=== tests/CMakeLists.txt ===
add_executable(RunTests main-test.cpp chksystemd-test.cpp chkctl-test.cpp chkui-test.cpp)
target_link_libraries(RunTests ${LIBS} CHKSYSTEMD CHKCTL CHKUI)

add_custom_target(Test COMMAND sudo ./RunTests)

=== debian/changelog ===
chkservice (0.1-2) unstable; urgency=medium

  * debian/rules:
   - Disables PIE (Closes: #878156)
  * debian/chkservice.8:
   - Removes dh_make comments from manpage
  * debian/control: 
   - Restricts architecture to linux-any (Closes: #878154)

 -- Ana Custura <ana@netstat.org.uk>  Wed, 11 Oct 2017 18:00:17 +0100

chkservice (0.1-1) unstable; urgency=medium

  * Initial release (Closes: #875895)

 -- Ana Custura <ana@netstat.org.uk>  Sun, 24 Sep 2017 20:46:18 +0100

=== debian/control ===
Source: chkservice
Section: admin
Priority: optional
Maintainer: Ana Custura <ana@netstat.org.uk>
Build-Depends: debhelper (>= 9), libncurses5-dev, libsystemd-dev, cmake, pkg-config, catch
Standards-Version: 4.1.0
Homepage: https://github.com/linuxenko/chkservice
Vcs-Git: https://anonscm.debian.org/git/collab-maint/chkservice.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/chkservice.git

Package: chkservice
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Tool for managing systemd units
 chkservice is an ncurses-based tool for managing systemd units from the
 terminal. It provides the user with a comprehensive view of all systemd
 services and allows them to be changed easily. chkservice requires superuser
 privileges to make unit state changes.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

# see FEATURE AREAS in dpkg-buildflags(1)

export DEB_BUILD_MAINT_OPTIONS = hardening=+all,+fortify,-pie

export DEBUG = 1


%:
	dh $@

=== debian/watch ===
version=4

# GitHub hosted projects
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%<project>-$1.tar.gz%" \
   https://github.com/linuxenko/chkservice/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## chkservice 0.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -41,7 +41,7 @@
 endif()
 
 SET(MAJOR_VERSION 0)
-SET(MINOR_VERSION 1)
+SET(MINOR_VERSION 3)
 SET(PATCH_VERSION 0)
 
 IF(EXISTS "${CMAKE_ROOT}/Modules/CPack.cmake")
@@ -49,11 +49,12 @@
 
 SET(CPACK_SET_DESTDIR "on")
 SET(CPACK_PACKAGING_INSTALL_PREFIX "/tmp")
-SET(CPACK_GENERATOR "DEB")
+SET(CPACK_INSTALL_PREFIX "/usr")
+SET(CPACK_GENERATOR "DEB;RPM")
 
 SET(CPACK_PACKAGE_DESCRIPTION_SUMMARY "Ncurses based gui for systemd")
 SET(CPACK_PACKAGE_VENDOR "Svetlana Linuxenko")
-SET(CPACK_PACKAGE_CONTACT "sveta@linuxenko.pro")
+SET(CPACK_PACKAGE_CONTACT "-")
 SET(CPACK_PACKAGE_VERSION_MAJOR "${MAJOR_VERSION}")
 SET(CPACK_PACKAGE_VERSION_MINOR "${MINOR_VERSION}")
 SET(CPACK_PACKAGE_VERSION_PATCH "${PATCH_VERSION}")

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -10,4 +10,4 @@
 add_executable(chkservice chkservice.cpp)
 target_link_libraries(chkservice ${LIBS} CHKSYSTEMD CHKCTL CHKUI)
 
-install(TARGETS chkservice RUNTIME DESTINATION sbin)
+install(TARGETS chkservice RUNTIME DESTINATION bin)

=== debian/changelog ===
chkservice (0.3-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:11:23 +0100

chkservice (0.3-1) unstable; urgency=medium

  * New upstream version 0.3
  * Remove dh_make template line from watch file
  * Bump DH version, removes legacy compat file
  * Update S-V to 4.4.1 (no changes needed)
  * Update hardening flags

 -- Ana Custura <ana@netstat.org.uk>  Thu, 02 Jan 2020 20:30:06 +0000

chkservice (0.1-3) unstable; urgency=medium

  * Updates Standards-Version to 4.2.0
  * Bumps debhelper version to 11
  * Updates VCS fields
  * Removes unused series and patch files.

 -- Ana Custura <ana@netstat.org.uk>  Mon, 13 Aug 2018 15:29:57 +0100

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: admin
 Priority: optional
 Maintainer: Ana Custura <ana@netstat.org.uk>
-Build-Depends: debhelper (>= 9), libncurses5-dev, libsystemd-dev, cmake, pkg-config, catch
-Standards-Version: 4.1.0
+Build-Depends: debhelper-compat (= 12), libncurses5-dev, libsystemd-dev, cmake, pkg-config, catch
+Standards-Version: 4.4.1
 Homepage: https://github.com/linuxenko/chkservice
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/chkservice.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/chkservice.git
+Vcs-Git: https://salsa.debian.org/debian/chkservice.git
+Vcs-Browser: https://salsa.debian.org/debian/chkservice
 
 Package: chkservice
 Architecture: linux-any

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export DEBUG = 1


%:
	dh $@
